const ConsumerBase = require("../../consumer.base");

class PublicNotifyConsumer extends ConsumerBase {
  constructor() {
    super(ConsumerBase.getServiceName(PublicNotifyConsumer));
  }
  async subBeforeConsumer(queuedName, actionBody) {
    console.log("前置操作......", this.serviceName);
  }
  async subDoConsumer(queuedName, actionBody) {
    var params = {
      actionType: actionBody.actionType,
      identifyCode: actionBody.identifyCode,
      actionBody: {
        messageBody: actionBody.messageBody,
        resultInfo: actionBody.resultInfo
      },
      requestId: actionBody.requestId
    }
    var headData = actionBody.headData || null;
    var execResult = await this.execPostByTimeOut(params, actionBody.notifyUrl, null, headData, 20);
    return execResult;
  }
}
module.exports = PublicNotifyConsumer;